# Uses of Interface
com.sun.source.tree.IntersectionTypeTree

Packages that use IntersectionTypeTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of IntersectionTypeTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type IntersectionTypeTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitIntersectionType​(IntersectionTypeTree node, P p)`
Visits an IntersectionTypeTree node.

## Uses of IntersectionTypeTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type IntersectionTypeTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitIntersectionType​(IntersectionTypeTree node, P p)`
Visits an IntersectionTypeTree node.
`R`
TreeScanner.`visitIntersectionType​(IntersectionTypeTree node, P p)`
Visits an IntersectionTypeTree node.